=== src/activities/melody/CMakeLists.txt ===
GCOMPRIS_ADD_RCC(activities/melody *.qml *.svg *.js resource/*)
