=== debian/changelog ===
gcompris-qt (0.50-3) unstable; urgency=medium

  * Complete copyright information.
  * Removed useless build-dep on qtquick1 (Closes: #824958).
  * Update debian/watch with filenamemangle.  Still lacks a proper
    downloadurlmangle, but that should confuse uscan less already.

 -- Yann Dirson <dirson@debian.org>  Sat, 04 Jun 2016 22:29:51 +0200

gcompris-qt (0.50-2) unstable; urgency=medium

  * The "not yet 1500-lines debian/copyright" release.
  * Added src/activities/instruments/resource/drum_kit.ogg and
    src/activities/details/details.svg to debian/copyright (spotted by
    Thorsten Alteholz).  Plus a number of PNG and SVG files containing a
    public domain notice.
  * Include upstream patch to support building without qml-box2d, which
    should be separately packaged before we can properly use it.
  * Include modification to allow the build to proceed without the
    qml-box2d submodule source.

 -- Yann Dirson <dirson@debian.org>  Tue, 15 Mar 2016 23:24:36 +0100

gcompris-qt (0.50-1) unstable; urgency=medium

  * New upstream release.
    * New build-dependency libqt5sensors5-dev.
    * Update orig-tarball build instructions for qml-box2d submodule.
    * New GPL-3+ activities.
    * New CC-0-licensed files from OpenClipart, using copyright text
      from openclipart2-svg package.
    * New public-domain chess engine
    * New paintings CC-BY-SA || GFDL-1.2 || GPLv3 from WebMuseum (despite
      src/activities/paintings/resource/image/README telling that the
      WebMuseum license is only GFDL).

 -- Yann Dirson <dirson@debian.org>  Tue, 29 Dec 2015 00:00:37 +0100

gcompris-qt (0.43-1) unstable; urgency=low

  * Initial release (Closes: #778450)

 -- Yann Dirson <dirson@debian.org>  Sat, 17 Oct 2015 22:54:28 +0200
