=== debian/control ===
Source: gcompris-qt
Section: education
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9), cmake, dh-buildinfo,
 qttools5-dev, qttools5-dev-tools, qt5-qmake, qtcreator,
 qtdeclarative5-dev,
 libqt5svg5-dev, qtmultimedia5-dev, libqt5xmlpatterns5-dev, libqt5sensors5-dev,
 qml-module-qtmultimedia, qml-module-qtgraphicaleffects
Standards-Version: 3.9.6
Homepage: http://gcompris.net/
Vcs-git: git://anonscm.debian.org/collab-maint/gcompris-qt.git
Vcs-browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gcompris-qt.git;a=summary

Package: gcompris-qt
Architecture: any
Depends: gcompris-qt-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: libqt5multimedia5-plugins
Description: Educational games for small children - experimental Qt rewrite
 A large collection of educational games for small children, designed
 to be a unified interface to integrate more educational games.
 .
 This is the rewrite of GCompris using Qt Quick technology.

Package: gcompris-qt-data
Architecture: all
Depends: ${misc:Depends}
Recommends: gcompris-qt (= ${source:Version})
Description: data files for gcompris-qt
 GCompris is a collection of educational games for small children.
 .
 This package contains the definitions of these standard boards, along
 with associated images.

Package: gcompris-qt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: gcompris-qt (= ${binary:Version}), ${misc:Depends}
Description: Educational games for small children - debug symbols
 This package contains the stripped debugging symbols for GCompris.
