=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- \
	-DQML_BOX2D_MODULE=disabled

override_dh_install:
	dh_install --fail-missing

override_dh_installdocs:
	dh_installdocs
	dh_buildinfo

override_dh_strip:
	dh_strip --dbg-package gcompris-qt-dbg

override_dh_auto_clean:
	dh_auto_clean
	find src -name '*.qrc' -delete
	rm -f src/activities/activities_out.txt
