## gcompris-qt 0.80

=== debian/changelog ===
gcompris-qt (0.80-0ubuntu1) artful; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Clive Johnston ]
  * New release for Ubuntu (Thanks to neon)
  * New upstream release (0.80)

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 15 Aug 2017 23:18:26 +0100

gcompris-qt (0.61-1) xenial; urgency=medium

  * Neon fork, new upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 18 Oct 2016 08:32:03 -0700
