=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,12 @@
 # output every command that modifies files on the build system.
 export DH_VERBOSE = 1
 
+# Select qt5 toolchain via qtchooser.
+export QT_SELECT := qt5
+
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -19,11 +22,16 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
-	-DQML_BOX2D_MODULE=disabled
+	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games -DQML_BOX2D_MODULE=disabled
+
+override_dh_auto_build:
+	dh_auto_build
+	# Translation target supposedly needs to be called manually.
+	# https://bugs.kde.org/show_bug.cgi?id=372036#c3
+	cd obj-* && make BuildTranslations
 
 override_dh_install:
 	dh_install --fail-missing
