=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/
http://gcompris.net/download/qt/src/gcompris-qt-([\d.]+).tar.xz
